﻿Public Class Form1
    Dim ClsPrv_AVI As New NSDAVI
    Dim StrcPrv_Compvars As NSDAVI.COMPVARS

    #Region "Sub Btn_AVIFileInfo_Click : AVIファイル情報."
        Private Sub Btn_AVIFileInfo_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_AVIFileInfo.Click
            Try
                ' AVIFileライブラリを初期化します.
                ClsPrv_AVI.AVIInit()

                Dim Str_FileName As String = Me.Txt_AVIFile.Text
                Dim Strc_AVIInfo As NSDAVI.AVI_FILEINFO = Nothing
                Dim Str_Msg As String = ""
                If ClsPrv_AVI.GetAVIFileInfo(Str_FileName, Strc_AVIInfo) Then
                    With Strc_AVIInfo
                        Str_Msg &= "近似の最大レート：" & CStr(.dwMaxBytesPerSec) & ControlChars.CrLf
                        Str_Msg &= "アプリケーションフラグ：" & CStr(.dwFlags) & ControlChars.CrLf
                        Str_Msg &= "機能フラグ：" & CStr(.dwCaps) & ControlChars.CrLf
                        Str_Msg &= "ストリーム数：" & CStr(.dwStreams) & ControlChars.CrLf
                        Str_Msg &= "ファイル読込の適正バッファサイズ：" & CStr(.dwSuggestedBufferSize) & ControlChars.CrLf
                        Str_Msg &= "ビットマップの幅：" & CStr(.dwWidth) & ControlChars.CrLf
                        Str_Msg &= "ビットマップの高さ：" & CStr(.dwHeight) & ControlChars.CrLf
                        Str_Msg &= "ファイルの時間単位：" & CStr(.dwScale) & ControlChars.CrLf
                        Str_Msg &= "ファイルのレート：" & CStr(.dwRate) & ControlChars.CrLf
                        Str_Msg &= "ファイルの長さ：" & CStr(.dwLength) & ControlChars.CrLf
                        Str_Msg &= "ファイルの編集回数：" & CStr(.dwEditCount) & ControlChars.CrLf
                        Str_Msg &= "ファイルタイプの説明：" & .szFileType
                    End With
                Else
                    Str_Msg = "情報の取得に失敗しました。"
                End If
                ' AVIFileライブラリを終了します.
                ClsPrv_AVI.AVIExit()

                MsgBox(Str_Msg)
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub Btn_VideoStreamInfo_Click : ビデオストリーム情報."
        Private Sub Btn_VideoStreamInfo_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_VideoStreamInfo.Click
            Try
                Dim Str_FileName As String = Me.Txt_AVIFile.Text
                Dim Strc_AVIStremInfo As NSDAVI.AVI_STREAMINFO = Nothing
                Dim Strc_ICInfo As NSDAVI.IC_INFO = Nothing
                Dim Str_Msg As String = ""
                If ClsPrv_AVI.GetAVIStremInfo(Str_FileName, Strc_AVIStremInfo, Strc_ICInfo, NSDAVI.STREAM_TYPE.TYPE_VIDEO) Then
                    With Strc_AVIStremInfo
                        Str_Msg &= "ストリーム情報" & ControlChars.CrLf
                        Str_Msg &= "ストリームのタイプ：" & CStr(.dwfccType) & "(" & ClsPrv_AVI.GetTypeName(.dwfccType) & ")" & ControlChars.CrLf
                        Str_Msg &= "ビデオストリームを保存する圧縮ハンドラ：" & CStr(.dwfccHandler) & "(" & ClsPrv_AVI.GetTypeName(.dwfccHandler) & ")" & ControlChars.CrLf
                        Str_Msg &= "ストリームフラグ：" & CStr(.dwFlags) & ControlChars.CrLf
                        Str_Msg &= "機能フラグ：" & CStr(.dwCaps) & ControlChars.CrLf
                        Str_Msg &= "ストリームの優先順位：" & CStr(.wPriority) & ControlChars.CrLf
                        Str_Msg &= "ストリームの言語：" & CStr(.wLanguage) & ControlChars.CrLf
                        Str_Msg &= "ストリームの時間単位：" & CStr(.dwScale) & ControlChars.CrLf
                        Str_Msg &= "ストリームのレート：" & CStr(.dwRate) & ControlChars.CrLf
                        Str_Msg &= "AVIファイルの最初のサンプル番号：" & CStr(.dwStart) & ControlChars.CrLf
                        Str_Msg &= "ストリームの長さ：" & CStr(.dwLength) & ControlChars.CrLf
                        Str_Msg &= "ビデオストリームとオーディオストリームをどの程度すらすかを指定：" & CStr(.dwInitialFrames) & ControlChars.CrLf
                        Str_Msg &= "ストリームを読み込むときに適したバッファサイズ：" & CStr(.dwSuggestedBufferSize) & ControlChars.CrLf
                        Str_Msg &= "ビデオストリームの品質：" & CStr(.dwQuality) & ControlChars.CrLf
                        Str_Msg &= "1データサンプルのバイト数：" & CStr(.dwSampleSize) & ControlChars.CrLf
                        Str_Msg &= "矩形Top：" & CStr(.rcFrame.Top) & ControlChars.CrLf
                        Str_Msg &= "矩形Left：" & CStr(.rcFrame.Left) & ControlChars.CrLf
                        Str_Msg &= "矩形Right：" & CStr(.rcFrame.Right) & ControlChars.CrLf
                        Str_Msg &= "矩形Bottom：" & CStr(.rcFrame.Bottom) & ControlChars.CrLf
                        Str_Msg &= "ファイルを編集した回数：" & CStr(.dwEditCount) & ControlChars.CrLf
                        Str_Msg &= "フォーマットの変更回数：" & CStr(.dwFormatChangeCount) & ControlChars.CrLf
                        Str_Msg &= "ストリームの説明：" & .szName & ControlChars.CrLf
                    End With

                    With Strc_ICInfo
                        Str_Msg &=  ControlChars.CrLf
                        Str_Msg &=  "圧縮情報" & ControlChars.CrLf
                        Str_Msg &=  "ドライバーのバージョン番号:" & CStr(.dwVersion) & ControlChars.CrLf
                        Str_Msg &=  "VCMのバージョン番号:" & CStr(.dwVersionICM) & ControlChars.CrLf
                        Str_Msg &=  "短い圧縮プログラム名:" & .szName & ControlChars.CrLf
                        Str_Msg &=  "長い圧縮プログラム名:" & .szDescription & ControlChars.CrLf
                        Str_Msg &=  "VCM圧縮ドライバ:" & .szDriver
                    End With
                Else
                    Str_Msg = "情報の取得に失敗しました。"
                End If
                MsgBox(Str_Msg)
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub Btn_VideoLen_Click : ビデオフレームの数."
        Private Sub Btn_VideoLen_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_VideoLen.Click
            Try
                Dim Str_FileName As String = Me.Txt_AVIFile.Text
                Dim Str_Msg As String = "ビデオフレーム数：" & CStr(ClsPrv_AVI.GetAVIToBMPCount(Str_FileName))
                MsgBox(Str_Msg)
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub Btn_GetPicture_Click : 画像ファイルの取り出し."
        Private Sub Btn_GetPicture_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_GetPicture.Click
            Try
                Dim Str_FileName As String = Me.Txt_AVIFile.Text.Trim
                Dim Str_FolderName As String = Me.Txt_WriteFolder.Text.Trim
                Dim Str_PicFile As String = Me.Txt_PicFile.Text.Trim

                Do
                    ' AVIファイルの確認.
                    If String.IsNullOrEmpty(Str_FileName) Then
                        MsgBox("AVIファイルが指定されていません。")
                        Exit Do
                    End If

                    ' 画像ファイル保存フォルダの確認.
                    If String.IsNullOrEmpty(Str_FolderName) Then
                        MsgBox("画像ファイル保存フォルダが指定されていません。")
                        Exit Do
                    End If

                    ' 画像ファイル名の確認.
                    If String.IsNullOrEmpty(Str_PicFile) Then
                        MsgBox("画像ファイル名が指定されていません。")
                        Exit Do
                    End If

                    ' 取り出す画像ファイルの種類を設定.
                    Dim Int_Picture_Save_Style As NSDAVI.PICTURE_SAVE_STYLE = CType(Me.Cmb_PicSelect.SelectedIndex, NSDAVI.PICTURE_SAVE_STYLE)

                    ' PixcelFormatは設定しません.
                    ClsPrv_AVI.TmpBmpFileSelectPixcelFormat = False

                    If ClsPrv_AVI.GetAVIToPicture(Str_FileName, Str_FolderName, Str_PicFile, 5, Int_Picture_Save_Style) Then
                        MsgBox("画像ファイルを取り出しました。")
                    Else
                        MsgBox("画像ファイルの取り出しに失敗しました。" & ControlChars.CrLf & ClsPrv_AVI.GetErrorMsg())
                    End If

                Loop While (False)
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Reference_Click : 参照ボタン."
        Private Sub Btn_ReferenceAVIFile_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_ReferenceAVIFile.Click
            Try
                Using fm As New OpenFileDialog
                    With fm
                        .Filter = "AVIファイル(*.AVI)|*.AVI"
                        .ReadOnlyChecked = True
                        .Multiselect = False
                        If .ShowDialog(Me) = Windows.Forms.DialogResult.OK Then
                            Me.Txt_AVIFile.Text = fm.FileName
                        End If
                    End With
                End Using
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Btn_ReferenceWriteFolder_Click : 画像ファイルの保存フォルダ用の参照ボタン."
        Private Sub Btn_ReferenceWriteFolder_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_ReferenceWriteFolder.Click
            Try
                Using fm As New FolderBrowserDialog
                    With fm
                        .ShowNewFolderButton = True
                        .Description = "画像ファイルの保存フォルダを選択します。"
                        If .ShowDialog() = Windows.Forms.DialogResult.OK Then
                            Me.Txt_WriteFolder.Text = .SelectedPath
                        End If
                    End With
                End Using
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub Form1_FormClosing : FormClosing."
        Private Sub Form1_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
            Try
                ClsPrv_AVI.Cls_Dispose()
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub Form1_Load : Loadイベント."
        Private Sub Form1_Load( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles MyBase.Load
            Try
                Me.Cmb_PicSelect.SelectedIndex = 0
                Me.Cmb_PicSelect1.SelectedIndex = 0

                Me.NUD_JPEG.Value = ClsPrv_AVI.JpegQuality

                SetCmbPixcelFormat()

                Me.Btn_CreateAVI3.Enabled = ClsPrv_AVI.IsProcess32

            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Codec_Click : コーデックの表示."
        Private Sub Btn_Codec_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_Codec.Click
            Try
                Dim Strc_IcInfo() As NSDAVI.IC_INFO = ClsPrv_AVI.GetCompressionList()
                If (Strc_IcInfo Is Nothing) Then
                    MsgBox("インストールされているコーデックが見つかりません。")
                Else
                    Dim Str_Msg As String = Nothing
                    For Int_Loop As Integer = 0 To Strc_IcInfo.Length - 1
                        If Not String.IsNullOrEmpty(Str_Msg) Then
                            Str_Msg &= StrDup(20, "-"c) & ControlChars.CrLf
                        End If

                        With Strc_IcInfo(Int_Loop)
                            Str_Msg &= "ストリームのタイプ:" & CStr(.fccType) & "(" & ClsPrv_AVI.GetTypeName(.fccType) & ")" & ControlChars.CrLf
                            Str_Msg &= "圧縮ハンドラ：" & CStr(.fccHandler) & "(" & ClsPrv_AVI.GetTypeName(.fccHandler) & ")" & ControlChars.CrLf
                            Str_Msg &=  "ドライバーのバージョン番号:" & CStr(.dwVersion) & ControlChars.CrLf
                            Str_Msg &=  "VCMのバージョン番号:" & CStr(.dwVersionICM) & ControlChars.CrLf
                            Str_Msg &=  "短い圧縮プログラム名:" & .szName & ControlChars.CrLf
                            Str_Msg &=  "長い圧縮プログラム名:" & .szDescription & ControlChars.CrLf
                            Str_Msg &=  "VCM圧縮ドライバ:" & .szDriver & ControlChars.CrLf
                        End With
                    Next Int_Loop
                    Using fm As New Form2
                        With fm
                            .TextBox1.Text = Str_Msg
                            .ShowDialog()
                        End With
                    End Using
                End If
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Union_Click : AVIファイルの結合."
        Private Sub Btn_Union_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_Union.Click
            Try
                Dim Str_SourceVideoAviFile As String = Me.Txt_UnionVideo.Text.Trim
                Dim Str_SourceWaveFile As String = Me.Txt_UnionWav.Text.Trim
                Dim Str_NewAviFile As String = Me.Txt_UnionNewAvi.Text.Trim

                If ClsPrv_AVI.UnionVideoAviAndWave(Str_SourceVideoAviFile, Str_SourceWaveFile, Str_NewAviFile) Then
                    MsgBox("AVIファイルを結合しました。")
                Else
                    MsgBox("AVIファイルの結合に失敗しました。" & ControlChars.CrLf & ClsPrv_AVI.GetErrorMsg())
                End If
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "AVIファイルの作成."
        #Region "Sub Btn_CreateAVI1_Click : 圧縮なしでAVIファイルを作成します."
            Private Sub Btn_CreateAVI1_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_CreateAVI1.Click
                Try
                    Btn_CreateAVI(0)
                Catch ex As Exception
                Finally
                End Try
            End Sub
        #End Region

        #Region "Sub Btn_CreateAVI2_Click : AVIファイル作成時に圧縮オプション用ダイアログを表示します."
            Private Sub Btn_CreateAVI2_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_CreateAVI2.Click
                Try
                    Btn_CreateAVI(1)
                Catch ex As Exception
                Finally
                End Try
            End Sub
        #End Region

        #Region "Sub Btn_CreateAVI3_Click : AVIファイル作成時に指定された圧縮オプションを使用します."
            Private Sub Btn_CreateAVI3_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_CreateAVI3.Click
                Try
                    Btn_CreateAVI(2)
                Catch ex As Exception
                Finally
                End Try
            End Sub
        #End Region

        #Region "Sub Btn_CreateAVI : AVIファイルを作成します."
            Private Sub Btn_CreateAVI(ByVal IntVal_BtnNo As Integer)
                Try
                    ' 画像ファイルのフォルダ.
                    Dim Str_Folder As String = Me.Txt_ReadFolder.Text.Trim
                    ' 作成AVIファイル.
                    Dim Str_AviFileName As String = Me.Txt_CreateAVI.Text.Trim
                    ' ストリーム情報を初期化します.
                    Dim Strc_AviStreamInfo As NSDAVI.AVI_STREAMINFO = ClsPrv_AVI.GetDefaultAVISTREAMINFO

                    Do
                        ' 画像ファイルのフォルダの確認.
                        If String.IsNullOrEmpty(Str_Folder) Then
                            MsgBox("画像ファイルのフォルダが指定されていません。")
                            Exit Do
                        End If

                        ' 作成AVIファイルの確認.
                        If String.IsNullOrEmpty(Str_AviFileName) Then
                            MsgBox("作成AVIファイルが指定されていません。")
                            Exit Do
                        End If

                        ' folderにあるファイルを取得する.
                        Dim Str_PicFileList As String()
                        Dim Str_ExName As String = ""
                        Dim Int_PicIndex As NSDAVI.PICTURE_SAVE_STYLE = CType(Me.Cmb_PicSelect1.SelectedIndex, NSDAVI.PICTURE_SAVE_STYLE)
                        Select Case Int_PicIndex
                            Case NSDAVI.PICTURE_SAVE_STYLE.BMP
                                Str_ExName = "bmp"
                            Case NSDAVI.PICTURE_SAVE_STYLE.JPEG
                                Str_ExName = "jpg"
                            Case NSDAVI.PICTURE_SAVE_STYLE.GIF
                                Str_ExName = "gif"
                            Case NSDAVI.PICTURE_SAVE_STYLE.PNG
                                Str_ExName = "png"
                            Case NSDAVI.PICTURE_SAVE_STYLE.TIFF
                                Str_ExName = "tif"
                        End Select

                        Str_PicFileList = System.IO.Directory.GetFiles(Str_Folder, "*." & Str_ExName)
                        If (Str_PicFileList Is Nothing) Then
                            MsgBox("画像ファイルが存在しません。")
                            Exit Do
                        End If
                        ' 画像ファイル名をソートします.
                        Array.Sort(Str_PicFileList)

                        Dim Int_MsgNo As Integer = 0

                        ClsPrv_AVI.AVICreatePic4Multiple = Me.Chk_4Multiple.Checked
                        ClsPrv_AVI.TmpBmpFileSelectPixcelFormat = Me.Chk_SelectPixcelFormat.Checked
                        Dim SelectItem As CmbPixcelFormat = CType(Me.Cmb_PixcelFormat.SelectedItem, CmbPixcelFormat)
                        ClsPrv_AVI.TmpBmpFilePixcelFormat = SelectItem.Value

                        Dim Str_AddMsg As String = ""

                        Select Case IntVal_BtnNo
                            Case 0
                                ' 圧縮なし.
                                If ClsPrv_AVI.SetPictureToAVI(Str_PicFileList, Int_PicIndex, Str_AviFileName, Strc_AviStreamInfo, True) Then
                                    Int_MsgNo = 1
                                Else
                                    Int_MsgNo = 2
                                End If
                            Case 1
                                ' 圧縮オプション用ダイアログを表示します.
                                If ClsPrv_AVI.SetPictureToAVI( Me.Handle, Str_PicFileList, Int_PicIndex, Str_AviFileName, Strc_AviStreamInfo, True) Then
                                    Int_MsgNo = 1
                                Else
                                    Int_MsgNo = 2
                                End If
                            Case 2
                                ' 指定された圧縮オプションを使用します.
                                Dim Int_IcmfChoose As NSDAVI.ICMF_CHOOSE
                                Dim Strc_Compvars As NSDAVI.COMPVARS

                                Int_IcmfChoose = NSDAVI.ICMF_CHOOSE.KEYFRAME Or NSDAVI.ICMF_CHOOSE.DATARATE
                                ' 圧縮オプションを指定します.
                                If ClsPrv_AVI.GetCompressOptions( Me.Handle, Int_IcmfChoose, Strc_Compvars, Str_PicFileList(0)) Then
                                    ' GetCompressOptionsで設定されるので、コンプレッサハンドルの確認を行わない.
                                    ClsPrv_AVI.AVICreateCheckHic = False
                                    ' 画像ファイルからAVIファイルを作成します.
                                    If ClsPrv_AVI.SetPictureToAVI(Str_PicFileList, Int_PicIndex, Str_AviFileName, Strc_AviStreamInfo, Strc_Compvars, True) Then
                                        Int_MsgNo = 1
                                    Else
                                        Int_MsgNo = 2
                                        Str_AddMsg = ClsPrv_AVI.GetErrorMsg()
                                    End If
                                    ' リソースを開放します.
                                    ClsPrv_AVI.CompressOptionsFree(Strc_Compvars)
                                Else
                                    Int_MsgNo = 3
                                End If
                        End Select
                        Select Case Int_MsgNo
                            Case 1
                                MsgBox("AVIファイルを作成しました。")
                            Case 2
                                Select Case IntVal_BtnNo
                                    Case 0, 1
                                        MsgBox("AVIファイルの作成に失敗しました。" & ControlChars.CrLf & ClsPrv_AVI.GetErrorMsg())
                                    Case 2
                                        MsgBox("AVIファイルの作成に失敗しました。" & ControlChars.CrLf & Str_AddMsg)
                                End Select
                            Case 3
                                MsgBox("圧縮オプションが指定できません。")
                        End Select
                    Loop While (False)
                Catch ex As Exception
                Finally
                End Try
            End Sub
        #End Region
    #End Region

    #Region "Sub Btn_ReferenceReadFolder_Click : 画像ファイルのフォルダ用参照ボタン."
        Private Sub Btn_ReferenceReadFolder_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_ReferenceReadFolder.Click
            Try
                Using fm As New FolderBrowserDialog
                    With fm
                        .ShowNewFolderButton = True
                        .Description = "画像ファイルのフォルダを選択します。"
                        If .ShowDialog() = Windows.Forms.DialogResult.OK Then
                            Me.Txt_ReadFolder.Text = .SelectedPath
                        End If
                    End With
                End Using
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub Cmb_PicSelect_SelectedIndexChanged : 画像ファイル取り出し用画像形式の選択."
        Private Sub Cmb_PicSelect_SelectedIndexChanged( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Cmb_PicSelect.SelectedIndexChanged
            Try
                Select Case Me.Cmb_PicSelect.SelectedIndex
                    Case 1
                        ' JPEG.
                        Me.GB_JPEG.Enabled = True
                    Case Else
                        ' JPEG以外.
                        Me.GB_JPEG.Enabled = False
                End Select
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub NUD_JPEG_ValueChanged : JPEGの保存品質を設定."
        Private Sub NUD_JPEG_ValueChanged( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles NUD_JPEG.ValueChanged
            Try
                ClsPrv_AVI.JpegQuality = CType(Me.NUD_JPEG.Value, Integer)
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "コンボボックスにPixcelFormatの初期値を設定."
        Class CmbPixcelFormat
            Public Name As String
            Public Value As System.Drawing.Imaging.PixelFormat

            Public Sub New(ByVal Val_Name As String, ByVal Val_Format As System.Drawing.Imaging.PixelFormat)
                Name = Val_Name
                Value = Val_Format
            End Sub

            Public Overrides Function ToString() As String
                Return Name
            End Function
        End Class
        Sub SetCmbPixcelFormat() 
            Try
                Dim Int_Loop As Integer = 0
                Dim Str_Name As String = ""
                Dim Value As System.Drawing.Imaging.PixelFormat = Nothing
                Do
                    Select Case Int_Loop
                        Case 0: Str_Name = "Alpha": Value = Imaging.PixelFormat.Alpha
                        Case 1: Str_Name = "Canonical": Value = Imaging.PixelFormat.Canonical
                        Case 2: Str_Name = "DontCare": Value = Imaging.PixelFormat.DontCare
                        Case 3: Str_Name = "Extended": Value = Imaging.PixelFormat.Extended
                        Case 4: Str_Name = "Format16bppArgb1555": Value = Imaging.PixelFormat.Format16bppArgb1555
                        Case 5: Str_Name = "Format16bppGrayScale": Value = Imaging.PixelFormat.Format16bppGrayScale
                        Case 6: Str_Name = "Format16bppRgb555": Value = Imaging.PixelFormat.Format16bppRgb555
                        Case 7: Str_Name = "Format16bppRgb565": Value = Imaging.PixelFormat.Format16bppRgb565
                        Case 8: Str_Name = "Format1bppIndexed": Value = Imaging.PixelFormat.Format1bppIndexed
                        Case 9: Str_Name = "Format24bppRgb": Value = Imaging.PixelFormat.Format24bppRgb
                        Case 10: Str_Name = "Format32bppArgb": Value = Imaging.PixelFormat.Format32bppArgb
                        Case 11: Str_Name = "Format32bppPArgb": Value = Imaging.PixelFormat.Format32bppPArgb
                        Case 12: Str_Name = "Format32bppRgb": Value = Imaging.PixelFormat.Format32bppRgb
                        Case 13: Str_Name = "Format48bppRgb": Value = Imaging.PixelFormat.Format48bppRgb
                        Case 14: Str_Name = "Format4bppIndexed": Value = Imaging.PixelFormat.Format4bppIndexed
                        Case 15: Str_Name = "Format64bppArgb": Value = Imaging.PixelFormat.Format64bppArgb
                        Case 16: Str_Name = "Format64bppPArgb": Value = Imaging.PixelFormat.Format64bppPArgb
                        Case 17: Str_Name = "Format8bppIndexed": Value = Imaging.PixelFormat.Format8bppIndexed
                        Case 18: Str_Name = "Gdi": Value = Imaging.PixelFormat.Gdi
                        Case 19: Str_Name = "Indexed": Value = Imaging.PixelFormat.Indexed
                        Case 20: Str_Name = "Max": Value = Imaging.PixelFormat.Max
                        Case 21: Str_Name = "PAlpha": Value = Imaging.PixelFormat.PAlpha
                        Case 22: Str_Name = "Undefined": Value = Imaging.PixelFormat.Undefined
                        Case Else
                            Exit Do
                    End Select

                    Me.Cmb_PixcelFormat.Items.Add(New CmbPixcelFormat(Str_Name, Value))
                    Int_Loop += 1
                Loop
                Me.Cmb_PixcelFormat.SelectedIndex = 6

            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub Chk_SelectPixcelFormat_CheckedChanged : 一時作成BMPのPixcelFormatを指定."
        Private Sub Chk_SelectPixcelFormat_CheckedChanged( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Chk_SelectPixcelFormat.CheckedChanged
            Try
                Me.Lbl_PixcelFormat.Enabled = Me.Chk_SelectPixcelFormat.Checked
                Me.Cmb_PixcelFormat.Enabled = Me.Lbl_PixcelFormat.Enabled
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Process_Click : 実行プロセスの確認"
        Private Sub Btn_Process_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_Process.Click
            Try
                If ClsPrv_AVI.IsProcess32() Then
                    MsgBox("32ビットプロセスで実行されています。")
                Else
                    MsgBox("64ビットプロセスで実行されています。")
                End If
            Catch ex As Exception

            End Try
        End Sub
    #End Region
End Class
